%define name mutray
%define version 0.3
%define release %mkrel 4

Name: %name
Version: %version
Release: %release
Summary: MUTray sits in the KDE system tray and notifies the user of updates.
URL: http://www.davidsansome.com/mutray/
License: GPL
Group: Graphical desktop/KDE
BuildRoot: %{_tmppath}/%{name}-buildroot
Source: http://www.davidsansome.com/mutray/%name-%version.tar.bz2
BuildRequires: kdelibs-devel, rpm-devel
BuildRequires: automake1.7

%description
MUTray sits in the KDE system tray, and displays a notification when there 
are new updates.  It can then install the packages with urpmi.

%prep

%setup -q

CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure 

%build

make

%install
rm -rf %{buildroot}

%makeinstall

mkdir -p $RPM_BUILD_ROOT/%{_menudir}/
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/mutray
?package(mutray): command="/usr/bin/mutray" needs="x11" section="Configuration/Packaging" icon="package.png" title="Mandrake Update Notifications" longtitle="A utility to notify you of updates to your Mandrake system"
EOF

%clean
rm -rf %{buildroot}

%post
%{update_menus}

%postun 
%{clean_menus}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING README TODO
%doc %_docdir/HTML/en/mutray/index.cache.bz2
%doc %_docdir/HTML/en/mutray/index.docbook
%doc %_docdir/HTML/en/mutray/common
%_bindir/mutray
%dir %_datadir/apps/mutray
%_datadir/apps/mutray/mutrayui.rc
%_datadir/apps/mutray/package.png
%_datadir/apps/mutray/packagenew.png
%attr(0755,root,root) %_datadir/apps/mutray/update.sh
%_menudir/mutray

%changelog
* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.3-4mdk
- rebuild for rpm 4.4

* Tue Jun 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.3-3mdk
- rebuild

* Sat Sep 06 2003 Marcel Pol <mpol@gmx.net> 0.3-2mdk
- buildrequires

* Mon Sep 1 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk
- from David Sansome <me@davidsansome.com> : 
	- Better error handling
	- A bigger default window size
	- It now compiles on cooker
	- Downloading the updates launches urpmi directly, bypassing MandrakeUpdate

* Sun Aug 17 2003 David Sansome <me@davidsansome.com> 0.2-1mdk
- Fixed version comparison bugs
- Fixed bug where settings would not be saved
- Fixed notifications-coming-up-when-they-shouldn't bug
- You can now ignore packages
- Added a notification that your system is fully updated
- Fixed SPEC file

* Sat Jul 26 2003 David Sansome <me@davidsansome.com> 0.1-1mdk
- First release
